ViconNet V8.1.21 - does not come with .NET Framework 4.5

.NET Framework 4.5 is recommended for all ViconNet versions 6.0 and higher running on Windows 7.
ViconNet version 6.7.63 - V8.0 comes with it and will automatically install it on any Win7 or higher machine.
(XP will only support up to .NET Framework 4.0)

Please note that ViconNet version 8.1.21 does not have .NET Framework 4.5 built in. It only comes with .NET Framework 4.6. Without it you may encounter errors that might result in ViconNet crashing under certain usage. 

To determine if your PC has .NET Framework 4.5 installed it will be necessary to check in the Control Panel under Uninstall Programs or Programs and Features. It would be listed as Microsoft .NET Framework 4.5.

You can also check it in the registry.

To find .NET Framework versions by viewing the registry 
  1. On the Start menu, choose Run.
  2. In the Open box, enter regedit.exe. You must have administrative credentials to run regedit.exe.
  3. In the Registry Editor, open the following subkey: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP.
    https://msdn.microsoft.com/en-us/library/hh925568(v=vs.110).aspx

If it is not there it will be necessary to install it. You can download it from the Vicon website at:
Microsoft .NET4.5 Framework (April 1, 2014) (47.94 MB) 

Note that .NET Framework 4.5 will be added into future ViconNet version 8.2.

Note that Win7 must have SP1 in order to accept the newer .netframework. 

 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.